Skip to content

List campaigns​

GET
/api/campaigns

Authorizations​

ApiKeyHeader
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

status
Type
integer
Default
1
rotation_id
Type
integer
group_id
Type
integer
traffic_source_id
Type
integer

Responses​

Campaign list

application/json
JSON
[
  
{
  
  
"id": 0,
  
  
"name": "string",
  
  
"hash": "string",
  
  
"traffic_source_id": 0,
  
  
"rotation_id": 0,
  
  
"rotation_type": "string",
  
  
"cost_type": "string",
  
  
"cost_value": 0,
  
  
"cost_currency": "string",
  
  
"cost_auto": true,
  
  
"redirect_type": "string",
  
  
"redirect_mode": "string",
  
  
"postback_url": "string",
  
  
"postback_percent": 0,
  
  
"payout_percent": 0,
  
  
"traffic_loss_percent": 0,
  
  
"append_campaign_url": "string",
  
  
"append_landing_url": "string",
  
  
"append_offer_url": "string",
  
  
"group_id": 0,
  
  
"domain_id": 0,
  
  
"hide_referrer": true,
  
  
"notes": "string",
  
  
"custom_alias": "string",
  
  
"total_clicks": 0,
  
  
"unique_clicks": 0,
  
  
"total_conversions": 0,
  
  
"total_cost": 0,
  
  
"total_revenue": 0,
  
  
"status": 0,
  
  
"created_at": "string"
  
}
]

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI